Bug 280351 - "queueup: cannot create ./[queue-file-name], uid=0: File exists
"queueup: cannot create ./[queue-file-name], uid=0: File exists
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-06 08:01 EDT by Jonathan Kamens
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-24 12:18:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2007-09-06 08:01:45 EDT
Twice in the last few days, I've gotten a message in my sendmail logs that looks
like this:

Sep  6 06:59:59 jik2 sendmail[2513]: l81MB8Ms007747: queueup: cannot create
./tfl81MB8Ms007747, uid=0: File exists

In both cases, the message occurred while trying to send a bounce message.  In
both cases, the message being bounced was a piece of spam, and sendmail had
already been trying to send the bounce for several days, but it wasn't sending
because of course the return address in the spam was bogus.  In both cases,
sendmail logged a failed attempt to deliver the bounce message immediately
before it logged the message shown above:

Sep  6 06:59:59 jik2 sendmail[2513]: l81MB8Ms007747:
to=<PennysycophantBonilla@phpxref.com>, delay=4+12:48:51, xdelay=00:00:01,
mailer=esmtp, pri=6422021, relay=mail.phpxref.com. [], dsn=4.0.0,
stat=Deferred: Connection refused by mail.phpxref.com.

In both cases, the file name shown in the log message didn't actually exist in
/var/spool/mqueue after the fact when I checked (I don't know if it existed at
the time the error occurred).

Obviously, I'm not terribly concerned that sendmail failed to send a bounce
message in response to a spam, but I am concerned that this problem could occur
with legitimate as well.

I've been keeping my machine up-to-date with Rawhide and I don't think I've seen
this error before this past week, despite the fact that thousands of email
messages go through my system each week, so I'm suspecting that there's a recent
change that's causing this issue.
Comment 1 Thomas Woerner 2007-09-24 10:44:22 EDT
Which sendmail package version are you using?
Comment 2 Jonathan Kamens 2007-09-24 10:50:38 EDT
Comment 3 Thomas Woerner 2007-09-24 10:59:51 EDT
Did this happen after a reboot of the machine?
Comment 4 Jonathan Kamens 2007-09-24 11:45:10 EDT
Do you mean "Did this continue to happen after you rebooted?" or "Was the time 
you saw this shortly after a reboot?"
Comment 5 Thomas Woerner 2007-09-24 12:09:31 EDT
Ok, there was a bug in the sendmail package you are using. The stop of the
service did not work. Therefore it could be that sendmail was killed while the
machine was going down and the mail it was trying to deliver produced the lock
file. After the reboot the file was still there...

Therefore the question: Was there a reboot of the machine before the problem
Comment 6 Jonathan Kamens 2007-09-24 12:18:04 EDT
Yes.  I filed that other bug.  It didn't occur to me that the two issues could 
be related but now that you've explained it, it makes sense.

Note You need to log in before you can comment on or make changes to this bug.